Security update for MozillaFirefox

SUSE Security Update: Security update for MozillaFirefox
Announcement ID: SUSE-SU-2020:14312-1
Rating: important
References: #1132665
Cross-References:CVE-2019-20503 CVE-2020-6805 CVE-2020-6806 CVE-2020-6807 CVE-2020-6811 CVE-2020-6812 CVE-2020-6814
Affected Products:
  • SUSE Linux Enterprise Server 11-SP4-LTSS

An update that fixes 7 vulnerabilities is now available.

Description:

This update for MozillaFirefox fixes the following issues:
MozillaFirefox was updated to 68.6.0 ESR (MFSA 2020-09 bsc#1132665)

  • CVE-2020-6805: Fixed a use-after-free when removing data about origins
  • CVE-2020-6806: Fixed improper protections against state confusion
  • CVE-2020-6807: Fixed a use-after-free in cubeb during stream destruction
  • CVE-2020-6811: Fixed an issue where copy as cURL' feature did not fully escape website-controlled data potentially leading to command injection
  • CVE-2019-20503: Fixed out of bounds reads in sctp_load_addresses_from_init
  • CVE-2020-6812: Fixed an issue where the names of AirPods with personally identifiable information were exposed to websites with camera or microphone permission
  • CVE-2020-6814: Fixed multiple memory safety bugs
  • Fixed an issue with minimizing a window (bsc#1132665).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 11-SP4-LTSS:
    zypper in -t patch slessp4-MozillaFirefox-14312=1

Package List:

  • SUSE Linux Enterprise Server 11-SP4-LTSS (x86_64):
    • MozillaFirefox-68.6.0-78.64.1
    • MozillaFirefox-translations-common-68.6.0-78.64.1
    • MozillaFirefox-translations-other-68.6.0-78.64.1

References: